For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tasks

Tasks — Taskade REST API v1 reference: GET /projects/{projectId}/tasks/{taskId}. Parameters, authentication, and response schema.

Summary of Endpoints

Get Task

get

Get task with id

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Task

application/json

Task

okbooleanRequired
get/projects/{projectId}/tasks/{taskId}
GET /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Delete Task

delete

Delete a task in a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful Task deletion

application/json

Successful Task deletion

okboolean · enumRequiredPossible values:
delete/projects/{projectId}/tasks/{taskId}
DELETE /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true
}

Update Task

put

Update task.

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
contentTypestring · enumRequiredPossible values:
contentstring · max: 2000RequiredPattern: ^[^\r\n]*$
Responses
200

Updated task

application/json

Updated task

okbooleanRequired
put/projects/{projectId}/tasks/{taskId}
PUT /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "contentType": "text/markdown",
  "content": "text"
}
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Complete Task

post

Complete a task in a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful complete a Task

application/json

Successful complete a Task

okboolean · enumRequiredPossible values:
post/projects/{projectId}/tasks/{taskId}/complete
POST /api/v1/projects/{projectId}/tasks/{taskId}/complete HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Uncomplete Task

post

Mark a task as incomplete in a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful mark the Task as incomplete

application/json

Successful mark the Task as incomplete

okboolean · enumRequiredPossible values:
post/projects/{projectId}/tasks/{taskId}/uncomplete
POST /api/v1/projects/{projectId}/tasks/{taskId}/uncomplete HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Create Task

post

Create one or more tasks in a project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired

Unique identifier for the project.

Body
Responses
200

Successful Tasks creation

application/json

Successful Tasks creation

okboolean · enumRequiredPossible values:
post/projects/{projectId}/tasks/
POST /api/v1/projects/{projectId}/tasks/ HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "tasks": [
    {
      "contentType": "text/markdown",
      "content": "text",
      "taskId": "null",
      "placement": "afterbegin"
    }
  ]
}
{
  "ok": true,
  "item": [
    {
      "id": "abc123DEF456",
      "text": "Follow up with client",
      "parentId": "abc123DEF456",
      "completed": false
    }
  ]
}

Move Task

put

Move a task within the project

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
Responses
200

Successful move Task

application/json

Successful move Task

okboolean · enumRequiredPossible values:
put/projects/{projectId}/tasks/{taskId}/move
PUT /api/v1/projects/{projectId}/tasks/{taskId}/move HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "target": {
    "taskId": "text",
    "position": "beforebegin"
  }
}
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Get Task Assignees

get

Get the assignees of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Task assignees

application/json

Task assignees

okbooleanRequired
get/projects/{projectId}/tasks/{taskId}/assignees
GET /api/v1/projects/{projectId}/tasks/{taskId}/assignees HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "items": [
    {
      "handle": "example",
      "displayName": "Sales Pipeline"
    }
  ]
}

Update Task Assignees

put

Task assignment

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
handlesstring[]Required
Responses
200

Successful Task assignment

application/json

Successful Task assignment

okboolean · enumRequiredPossible values:
put/projects/{projectId}/tasks/{taskId}/assignees
PUT /api/v1/projects/{projectId}/tasks/{taskId}/assignees HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "handles": [
    "text"
  ]
}
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Delete Task Assignee

delete

Remove assignee from a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
assigneeHandlestringRequired
Responses
200

Successful Task Assignment deletion

application/json

Successful Task Assignment deletion

okboolean · enumRequiredPossible values:
delete/projects/{projectId}/tasks/{taskId}/assignees/{assigneeHandle}
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/assignees/{assigneeHandle} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Get Task Date

get

Get the date of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Task Date

application/json

Task Date

okboolean · enumRequiredPossible values:
get/projects/{projectId}/tasks/{taskId}/date
GET /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "start": {
      "date": "2026-07-21T09:00:00.000Z",
      "time": "example",
      "timezone": "example"
    },
    "end": {
      "date": "2026-07-21T09:00:00.000Z",
      "time": "example",
      "timezone": "example"
    }
  }
}

Delete Task Date

delete

Delete date of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful Task Date deletion

application/json

Successful Task Date deletion

okboolean · enumRequiredPossible values:
delete/projects/{projectId}/tasks/{taskId}/date
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Update Task Date

put

Create or update date for a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
Responses
200

Successful Task Date create or update

application/json

Successful Task Date create or update

okboolean · enumRequiredPossible values:
put/projects/{projectId}/tasks/{taskId}/date
PUT /api/v1/projects/{projectId}/tasks/{taskId}/date HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 111

{
  "start": {
    "date": "text",
    "time": "text",
    "timezone": "text"
  },
  "end": {
    "date": "text",
    "time": "text",
    "timezone": "text"
  }
}
{
  "ok": true,
  "item": {
    "id": "abc123DEF456",
    "text": "Follow up with client",
    "parentId": "abc123DEF456",
    "completed": false
  }
}

Get Task Note

get

Get the note of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Task Note

application/json

Task Note

okbooleanRequired
get/projects/{projectId}/tasks/{taskId}/note
GET /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "type": "example",
    "value": "example"
  }
}

Update Task Note

put

Add/update a note to the task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
typestring · enumRequiredPossible values:
valuestring · min: 1RequiredPattern: ^[^\r\n]*$
Responses
200

Successful Task Note creation/update

application/json

Successful Task Note creation/update

okbooleanRequired
put/projects/{projectId}/tasks/{taskId}/note
PUT /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "type": "text/plain",
  "value": "text"
}
{
  "ok": true,
  "item": {
    "type": "example",
    "value": "example"
  }
}

Delete Task Note

delete

Delete the note of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Successful Task Note deletion

application/json

Successful Task Note deletion

okbooleanRequired
delete/projects/{projectId}/tasks/{taskId}/note
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/note HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true
}

List Task Fields

get

Get all field values for a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Responses
200

Task field values

application/json

Task field values

okboolean · enumRequiredPossible values:
get/projects/{projectId}/tasks/{taskId}/fields
GET /api/v1/projects/{projectId}/tasks/{taskId}/fields HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "items": [
    {
      "fieldId": "abc123DEF456",
      "value": {}
    }
  ]
}

Get Task Field

get

Get the field value of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
fieldIdstringRequired
Responses
200

Task field value

application/json

Task field value

okbooleanRequired
get/projects/{projectId}/tasks/{taskId}/fields/{fieldId}
GET /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true,
  "item": {
    "fieldId": "abc123DEF456",
    "value": {}
  }
}

Delete Task Field

delete

Delete the field value of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
fieldIdstringRequired
Responses
200

Successful field value deletion

application/json

Successful field value deletion

okbooleanRequired
delete/projects/{projectId}/tasks/{taskId}/fields/{fieldId}
DELETE /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true
}

Update Task Field

put

Update/create the field value of a task

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
fieldIdstringRequired
Body
valueany ofRequired
numberOptional
or
string · min: 1Optional
Responses
200

Successful field value create/update

application/json

Successful field value create/update

okbooleanRequired
put/projects/{projectId}/tasks/{taskId}/fields/{fieldId}
PUT /api/v1/projects/{projectId}/tasks/{taskId}/fields/{fieldId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 11

{
  "value": 1
}
{
  "ok": true
}

Last updated

Was this helpful?